$('body').on( 'click', '.cadastrarNovo', function(e){
    loadButton($(this));
    set_resultado(1);
});
$('body').on( 'click', '.cadastrarUnidade', function(e){
    loadButton($(this));
    set_resultado(2);
});
$('body').on( 'click', '.verAnuncio', function(e){
    loadButton($(this));
    set_resultado(3);
});
$('body').on( 'click', '.irPainel', function(e){
    loadButton($(this));
    set_resultado(4);
});

function set_resultado(resultado)
{
    
    $.ajax({
		url: base_url+"comdono/ajax/cad_ajax/set_resultado",
		dataType: 'json',
		type: 'POST',
		data: {resultado: resultado},
		success: function(retorno)
		{	
		    if(retorno.valid == true)
		    {
		        document.location.href = retorno.redirect;
		    }
		    else
		    {
		        loadButton(null,false);
		        console.log(retorno)
		    }
		},
		error: function(error)
		{
		    loadButton(null,false);
			console.log(error);
			
		}
	});
}